
#ifndef __MODBUS_S_H__
#define	__MODBUS_S_H__

#include "modbus_def.h"

//----------------------------------------------------------------------------------------------

#ifndef MODBUS_REG_MIN
#define	MODBUS_REG_MIN		0	// 支持的地址空间
#endif

#ifndef MODBUS_REG_MAX
#define	MODBUS_REG_MAX		10	// 支持的地址空间
#endif

//----------------------------------------------------------------------------------------------

// 功能：初始化 modbus S 通讯
void InitModbusS(BAUD_TypeDef baud, char dat, char parity, char stop,char mode);	// 初始化串口
void InitModbusSCtrl(u8 idx, int rsvtimout);	// 初始化ModBus从设备
void RegModbusSCmdProc(Resv485ExProc exProc);	// 注册外部响应函数
void AddModbusSIdx(u8 idx);						// 增加附属从站号
int InitModbusReg(u16 addr, u16 * pBuf, u16 len);

int ModbusSTask(void);							// 异步刷新函数

#endif


